---
title: "查询已退货发货单"
description: "查询退货发货单"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/return-order/query-return-fulfillment'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/return-order/query-return-fulfillment.md'
---
# 查询已退货发货单

查询退货发货单

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_returns`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /return_package.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_returns`

## Request

### Query Parameters

* `id`

  string (optional)

  退货发货单ID

* `return_id`

  string (required)

  退货单ID

* `reverse_fulfillment_seq`

  string (optional)

  退货履约单ID

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `return_packages`

  array<object>

  退货发货单

  * `reverse_delivery_line_items`

    array<object>

    退货发货单商品行信息

    * `return_reason_note`

      string

      商品行退货原因详细信息备注，最大支持128字符

    * `reverse_fulfillment_order_line_item`

      object

      退货发货单关联的退货履约单商品行信息节点

      * `quantity`

        integer

        关联的的退货履约单商品行数量

      * `line_item`

        object

        发货单关联的商品行信息

    * `id`

      string

      退货发货单商品行行号

    * `quantity`

      integer

      退货发货单商品数量

    * `return_reason`

      string

      商品行的退货原因：
      COLOR
      颜色问题
      DEFECTIVE
      商品损坏或有缺陷
      NOT_AS_DESCRIBED
      商品与描述不符
      OTHER
      其他原因
      SIZE_TOO_LARGE
      尺寸太大
      SIZE_TOO_SMALL
      尺寸太小
      STYLE
      款式问题
      UNWANTED
      客户改变了主意
      WRONG_ITEM
      收到了错误的商品

  * `reverse_fulfillment_seq`

    string

    关联的退货履约单编号

  * `tracking_information`

    object

    物流信息

    * `tracking_company`

      string

      物流公司名称

    * `tracking_number`

      string

      第三方物流单号

    * `tracking_url`

      string

      物流追踪URL

  * `id`

    string

    退货发货单唯一业务标识

  * `return_id`

    string

    关联的退货单编号


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "查询退货发货单",
  "externalDocs": {
    "description": "接口使用的权限点: `read_returns` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "xwfeGqTA",
  "parameters": [
    {
      "name": "id",
      "in": "query",
      "description": "退货发货单ID",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "id",
        "description": "退货发货单ID",
        "type": "string",
        "example": "RPP5873267430525507606"
      },
      "example": "RPP5873267430525507606"
    },
    {
      "name": "return_id",
      "in": "query",
      "description": "退货单ID",
      "required": true,
      "style": "form",
      "explode": true,
      "schema": {
        "name": "return_id",
        "description": "退货单ID",
        "type": "string",
        "example": "2605873267426331203599"
      },
      "example": "2605873267426331203599"
    },
    {
      "name": "reverse_fulfillment_seq",
      "in": "query",
      "description": "退货履约单ID",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "reverse_fulfillment_seq",
        "description": "退货履约单ID",
        "type": "string",
        "example": "RFP5873267430307403795"
      },
      "example": "RFP5873267430307403795"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "return_packages": {
                "name": "return_packages",
                "description": "退货发货单",
                "type": "array",
                "items": {
                  "name": "return_packages",
                  "description": "退货发货单",
                  "type": "object",
                  "properties": {
                    "reverse_delivery_line_items": {
                      "name": "reverse_delivery_line_items",
                      "description": "退货发货单商品行信息",
                      "type": "array",
                      "items": {
                        "name": "reverse_delivery_line_items",
                        "description": "退货发货单商品行信息",
                        "type": "object",
                        "properties": {
                          "return_reason_note": {
                            "name": "return_reason_note",
                            "description": "商品行退货原因详细信息备注，最大支持128字符",
                            "type": "string",
                            "example": "Product does not match the description"
                          },
                          "reverse_fulfillment_order_line_item": {
                            "name": "reverse_fulfillment_order_line_item",
                            "description": "退货发货单关联的退货履约单商品行信息节点",
                            "type": "object",
                            "properties": {
                              "quantity": {
                                "name": "quantity",
                                "description": "关联的的退货履约单商品行数量",
                                "type": "integer",
                                "example": 2
                              },
                              "line_item": {
                                "name": "line_item",
                                "description": "发货单关联的商品行信息",
                                "type": "object",
                                "properties": {
                                  "product_id": {
                                    "name": "product_id",
                                    "description": "spu序列号，商品唯一识别号",
                                    "type": "string",
                                    "example": "16056898121352174690861487"
                                  },
                                  "requires_shipping": {
                                    "name": "requires_shipping",
                                    "description": "商品是否需要发货：false、true",
                                    "type": "boolean",
                                    "example": true
                                  },
                                  "quantity": {
                                    "name": "quantity",
                                    "description": "商品数量",
                                    "type": "integer",
                                    "example": 1
                                  },
                                  "variant_id": {
                                    "name": "variant_id",
                                    "description": "商品sku序列号",
                                    "type": "string",
                                    "example": "18056898121355865678441487"
                                  },
                                  "fulfillment_service": {
                                    "name": "fulfillment_service",
                                    "description": "物流商名称",
                                    "type": "string",
                                    "example": "顺丰国际"
                                  },
                                  "variant_title": {
                                    "name": "variant_title",
                                    "description": "商品属性值, 多个以\" / \"分割",
                                    "type": "string",
                                    "example": "L/Red2"
                                  },
                                  "vendor": {
                                    "name": "vendor",
                                    "description": "商品供应商",
                                    "type": "string",
                                    "example": "product supplier"
                                  },
                                  "attribute": {
                                    "name": "attribute",
                                    "description": "商品属性信息：名称 - 属性值， 多个属性值时以逗号",
                                    "type": "string",
                                    "example": "颜色 - 红色, 尺寸 - X"
                                  },
                                  "taxable": {
                                    "name": "taxable",
                                    "description": "商品是否含税：false、true",
                                    "type": "boolean",
                                    "example": true
                                  },
                                  "price": {
                                    "name": "price",
                                    "description": "商品售价，商品详情页销售价格",
                                    "type": "string",
                                    "example": "100.0"
                                  },
                                  "image_url": {
                                    "name": "image_url",
                                    "description": "商品图片链接url",
                                    "type": "string",
                                    "example": "https://image.shopline.com/abc.jpg"
                                  },
                                  "id": {
                                    "name": "id",
                                    "description": "商品行id",
                                    "type": "string",
                                    "example": "405"
                                  },
                                  "fulfillment_status": {
                                    "name": "fulfillment_status",
                                    "description": "商品行发货状态： fulfilled-已发货; partial-部分发货； null-未发货",
                                    "type": "string",
                                    "example": "fulfilled"
                                  },
                                  "tags": {
                                    "name": "tags",
                                    "description": "商品标签，当存在多个时用逗号分隔",
                                    "type": "string",
                                    "example": "sales"
                                  },
                                  "sku": {
                                    "name": "sku",
                                    "description": "商户自定义编号",
                                    "type": "string",
                                    "example": "SKU1234"
                                  },
                                  "fulfillable_quantity": {
                                    "name": "fulfillable_quantity",
                                    "description": "剩余需要履约的商品数量",
                                    "type": "integer",
                                    "example": 1
                                  },
                                  "properties": {
                                    "name": "properties",
                                    "description": "商品定制信息",
                                    "type": "array",
                                    "items": {
                                      "name": "properties",
                                      "description": "商品定制信息",
                                      "type": "object",
                                      "properties": {
                                        "value": {
                                          "name": "value",
                                          "description": "定制信息内容",
                                          "type": "string",
                                          "example": "自由"
                                        },
                                        "name": {
                                          "name": "name",
                                          "description": "定制信息对象",
                                          "type": "string",
                                          "example": "文字"
                                        },
                                        "type": {
                                          "name": "type",
                                          "description": "定制信息类型：text、picture、link 1）当type为text时，取name和value； 2）当type为picture时，展示类型取name，同时取urls获取商品的详情缩略图 3）当type为link时，支持点击urls获取详情",
                                          "type": "string",
                                          "example": "text"
                                        },
                                        "urls": {
                                          "name": "urls",
                                          "description": "地址链接信息",
                                          "type": "array",
                                          "items": {
                                            "name": "urls",
                                            "description": "地址链接信息",
                                            "type": "string",
                                            "example": "https://image.shopline.com"
                                          },
                                          "example": [
                                            "https://image.shopline.com"
                                          ]
                                        }
                                      },
                                      "example": {
                                        "name": "文字",
                                        "type": "text",
                                        "urls": [
                                          "https://image.shopline.com"
                                        ],
                                        "value": "自由"
                                      }
                                    },
                                    "example": [
                                      {
                                        "type": "text",
                                        "urls": [
                                          "https://image.shopline.com"
                                        ],
                                        "value": "自由",
                                        "name": "文字"
                                      }
                                    ]
                                  },
                                  "title": {
                                    "name": "title",
                                    "description": "spu商品标题",
                                    "type": "string",
                                    "example": "这是个好商品"
                                  },
                                  "name": {
                                    "name": "name",
                                    "description": "sku标题,同title",
                                    "type": "string",
                                    "example": "这是个好商品"
                                  },
                                  "gift_card": {
                                    "name": "gift_card",
                                    "description": "是否为礼品卡商品：false、true",
                                    "type": "boolean",
                                    "example": true
                                  },
                                  "grams": {
                                    "name": "grams",
                                    "description": "商品重量（克）",
                                    "type": "double",
                                    "example": 1
                                  }
                                },
                                "example": {
                                  "fulfillable_quantity": 1,
                                  "tags": "sales",
                                  "requires_shipping": true,
                                  "grams": 1,
                                  "quantity": 1,
                                  "fulfillment_status": "fulfilled",
                                  "image_url": "https://image.shopline.com/abc.jpg",
                                  "fulfillment_service": "顺丰国际",
                                  "taxable": true,
                                  "variant_id": "18056898121355865678441487",
                                  "name": "这是个好商品",
                                  "gift_card": true,
                                  "price": "100.0",
                                  "title": "这是个好商品",
                                  "id": "405",
                                  "sku": "SKU1234",
                                  "attribute": "颜色 - 红色, 尺寸 - X",
                                  "product_id": "16056898121352174690861487",
                                  "vendor": "product supplier",
                                  "variant_title": "L/Red2",
                                  "properties": [
                                    {
                                      "type": "text",
                                      "urls": [
                                        "https://image.shopline.com"
                                      ],
                                      "value": "自由",
                                      "name": "文字"
                                    }
                                  ]
                                }
                              }
                            },
                            "example": {
                              "line_item": {
                                "tags": "sales",
                                "title": "这是个好商品",
                                "vendor": "product supplier",
                                "requires_shipping": true,
                                "image_url": "https://image.shopline.com/abc.jpg",
                                "properties": [
                                  {
                                    "name": "文字",
                                    "type": "text",
                                    "urls": [
                                      "https://image.shopline.com"
                                    ],
                                    "value": "自由"
                                  }
                                ],
                                "fulfillment_service": "顺丰国际",
                                "id": "405",
                                "variant_id": "18056898121355865678441487",
                                "product_id": "16056898121352174690861487",
                                "attribute": "颜色 - 红色, 尺寸 - X",
                                "name": "这是个好商品",
                                "sku": "SKU1234",
                                "quantity": 1,
                                "taxable": true,
                                "variant_title": "L/Red2",
                                "price": "100.0",
                                "fulfillment_status": "fulfilled",
                                "fulfillable_quantity": 1,
                                "gift_card": true,
                                "grams": 1
                              },
                              "quantity": 2
                            }
                          },
                          "id": {
                            "name": "id",
                            "description": "退货发货单商品行行号",
                            "type": "string",
                            "example": "123"
                          },
                          "quantity": {
                            "name": "quantity",
                            "description": "退货发货单商品数量",
                            "type": "integer",
                            "example": 1
                          },
                          "return_reason": {
                            "name": "return_reason",
                            "description": "商品行的退货原因：\nCOLOR\n颜色问题\nDEFECTIVE\n商品损坏或有缺陷\nNOT_AS_DESCRIBED\n商品与描述不符\nOTHER\n其他原因\nSIZE_TOO_LARGE\n尺寸太大\nSIZE_TOO_SMALL\n尺寸太小\nSTYLE\n款式问题\nUNWANTED\n客户改变了主意\nWRONG_ITEM\n收到了错误的商品",
                            "type": "string",
                            "example": "NOT_AS_DESCRIBED"
                          }
                        },
                        "example": {
                          "return_reason_note": "Product does not match the description",
                          "reverse_fulfillment_order_line_item": {
                            "line_item": {
                              "fulfillment_service": "顺丰国际",
                              "name": "这是个好商品",
                              "attribute": "颜色 - 红色, 尺寸 - X",
                              "grams": 1,
                              "product_id": "16056898121352174690861487",
                              "price": "100.0",
                              "vendor": "product supplier",
                              "requires_shipping": true,
                              "image_url": "https://image.shopline.com/abc.jpg",
                              "fulfillable_quantity": 1,
                              "id": "405",
                              "variant_id": "18056898121355865678441487",
                              "tags": "sales",
                              "title": "这是个好商品",
                              "variant_title": "L/Red2",
                              "gift_card": true,
                              "taxable": true,
                              "quantity": 1,
                              "fulfillment_status": "fulfilled",
                              "sku": "SKU1234",
                              "properties": [
                                {
                                  "urls": [
                                    "https://image.shopline.com"
                                  ],
                                  "value": "自由",
                                  "name": "文字",
                                  "type": "text"
                                }
                              ]
                            },
                            "quantity": 2
                          },
                          "id": "123",
                          "quantity": 1,
                          "return_reason": "NOT_AS_DESCRIBED"
                        }
                      },
                      "example": [
                        {
                          "return_reason_note": "Product does not match the description",
                          "reverse_fulfillment_order_line_item": {
                            "line_item": {
                              "taxable": true,
                              "id": "405",
                              "product_id": "16056898121352174690861487",
                              "tags": "sales",
                              "variant_title": "L/Red2",
                              "fulfillment_service": "顺丰国际",
                              "fulfillment_status": "fulfilled",
                              "quantity": 1,
                              "grams": 1,
                              "name": "这是个好商品",
                              "variant_id": "18056898121355865678441487",
                              "image_url": "https://image.shopline.com/abc.jpg",
                              "price": "100.0",
                              "fulfillable_quantity": 1,
                              "gift_card": true,
                              "requires_shipping": true,
                              "vendor": "product supplier",
                              "attribute": "颜色 - 红色, 尺寸 - X",
                              "sku": "SKU1234",
                              "properties": [
                                {
                                  "name": "文字",
                                  "type": "text",
                                  "urls": [
                                    "https://image.shopline.com"
                                  ],
                                  "value": "自由"
                                }
                              ],
                              "title": "这是个好商品"
                            },
                            "quantity": 2
                          },
                          "id": "123",
                          "quantity": 1,
                          "return_reason": "NOT_AS_DESCRIBED"
                        }
                      ]
                    },
                    "reverse_fulfillment_seq": {
                      "name": "reverse_fulfillment_seq",
                      "description": "关联的退货履约单编号",
                      "type": "string",
                      "example": "RFP5873267430307403795"
                    },
                    "tracking_information": {
                      "name": "tracking_information",
                      "description": "物流信息",
                      "type": "object",
                      "properties": {
                        "tracking_company": {
                          "name": "tracking_company",
                          "description": "物流公司名称",
                          "type": "string",
                          "example": "5345345345"
                        },
                        "tracking_number": {
                          "name": "tracking_number",
                          "description": "第三方物流单号",
                          "type": "string",
                          "example": "DHL Express (Piece ID)"
                        },
                        "tracking_url": {
                          "name": "tracking_url",
                          "description": "物流追踪URL",
                          "type": "string",
                          "example": "http://www.dhl.com/"
                        }
                      },
                      "example": {
                        "tracking_url": "http://www.dhl.com/",
                        "tracking_company": "5345345345",
                        "tracking_number": "DHL Express (Piece ID)"
                      }
                    },
                    "id": {
                      "name": "id",
                      "description": "退货发货单唯一业务标识",
                      "type": "string",
                      "example": "RPP5873267430525507605"
                    },
                    "return_id": {
                      "name": "return_id",
                      "description": "关联的退货单编号",
                      "type": "string",
                      "example": "2605873267426331203599"
                    }
                  },
                  "example": {
                    "tracking_information": {
                      "tracking_company": "5345345345",
                      "tracking_number": "DHL Express (Piece ID)",
                      "tracking_url": "http://www.dhl.com/"
                    },
                    "id": "RPP5873267430525507605",
                    "return_id": "2605873267426331203599",
                    "reverse_delivery_line_items": [
                      {
                        "id": "123",
                        "quantity": 1,
                        "return_reason": "NOT_AS_DESCRIBED",
                        "return_reason_note": "Product does not match the description",
                        "reverse_fulfillment_order_line_item": {
                          "line_item": {
                            "quantity": 1,
                            "variant_id": "18056898121355865678441487",
                            "variant_title": "L/Red2",
                            "image_url": "https://image.shopline.com/abc.jpg",
                            "fulfillment_service": "顺丰国际",
                            "name": "这是个好商品",
                            "product_id": "16056898121352174690861487",
                            "vendor": "product supplier",
                            "properties": [
                              {
                                "type": "text",
                                "urls": [
                                  "https://image.shopline.com"
                                ],
                                "value": "自由",
                                "name": "文字"
                              }
                            ],
                            "id": "405",
                            "grams": 1,
                            "title": "这是个好商品",
                            "sku": "SKU1234",
                            "tags": "sales",
                            "requires_shipping": true,
                            "attribute": "颜色 - 红色, 尺寸 - X",
                            "fulfillment_status": "fulfilled",
                            "fulfillable_quantity": 1,
                            "gift_card": true,
                            "price": "100.0",
                            "taxable": true
                          },
                          "quantity": 2
                        }
                      }
                    ],
                    "reverse_fulfillment_seq": "RFP5873267430307403795"
                  }
                },
                "example": [
                  {
                    "tracking_information": {
                      "tracking_number": "DHL Express (Piece ID)",
                      "tracking_url": "http://www.dhl.com/",
                      "tracking_company": "5345345345"
                    },
                    "id": "RPP5873267430525507605",
                    "return_id": "2605873267426331203599",
                    "reverse_delivery_line_items": [
                      {
                        "return_reason": "NOT_AS_DESCRIBED",
                        "return_reason_note": "Product does not match the description",
                        "reverse_fulfillment_order_line_item": {
                          "line_item": {
                            "id": "405",
                            "attribute": "颜色 - 红色, 尺寸 - X",
                            "image_url": "https://image.shopline.com/abc.jpg",
                            "properties": [
                              {
                                "urls": [
                                  "https://image.shopline.com"
                                ],
                                "value": "自由",
                                "name": "文字",
                                "type": "text"
                              }
                            ],
                            "fulfillment_service": "顺丰国际",
                            "fulfillable_quantity": 1,
                            "grams": 1,
                            "product_id": "16056898121352174690861487",
                            "tags": "sales",
                            "sku": "SKU1234",
                            "variant_title": "L/Red2",
                            "fulfillment_status": "fulfilled",
                            "taxable": true,
                            "quantity": 1,
                            "vendor": "product supplier",
                            "price": "100.0",
                            "gift_card": true,
                            "title": "这是个好商品",
                            "variant_id": "18056898121355865678441487",
                            "name": "这是个好商品",
                            "requires_shipping": true
                          },
                          "quantity": 2
                        },
                        "id": "123",
                        "quantity": 1
                      }
                    ],
                    "reverse_fulfillment_seq": "RFP5873267430307403795"
                  }
                ]
              }
            },
            "example": {
              "return_packages": [
                {
                  "tracking_information": {
                    "tracking_url": "http://www.dhl.com/",
                    "tracking_company": "5345345345",
                    "tracking_number": "DHL Express (Piece ID)"
                  },
                  "id": "RPP5873267430525507605",
                  "return_id": "2605873267426331203599",
                  "reverse_delivery_line_items": [
                    {
                      "reverse_fulfillment_order_line_item": {
                        "quantity": 2,
                        "line_item": {
                          "gift_card": true,
                          "taxable": true,
                          "fulfillment_status": "fulfilled",
                          "id": "405",
                          "name": "这是个好商品",
                          "image_url": "https://image.shopline.com/abc.jpg",
                          "vendor": "product supplier",
                          "tags": "sales",
                          "title": "这是个好商品",
                          "variant_id": "18056898121355865678441487",
                          "grams": 1,
                          "sku": "SKU1234",
                          "fulfillment_service": "顺丰国际",
                          "variant_title": "L/Red2",
                          "price": "100.0",
                          "attribute": "颜色 - 红色, 尺寸 - X",
                          "product_id": "16056898121352174690861487",
                          "requires_shipping": true,
                          "fulfillable_quantity": 1,
                          "properties": [
                            {
                              "name": "文字",
                              "type": "text",
                              "urls": [
                                "https://image.shopline.com"
                              ],
                              "value": "自由"
                            }
                          ],
                          "quantity": 1
                        }
                      },
                      "id": "123",
                      "quantity": 1,
                      "return_reason": "NOT_AS_DESCRIBED",
                      "return_reason_note": "Product does not match the description"
                    }
                  ],
                  "reverse_fulfillment_seq": "RFP5873267430307403795"
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/return_package.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询已退货发货单",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_returns"
  ]
}
```